Bug 1124025 - ci_reporter 2.0 gem breaks CI
Summary: ci_reporter 2.0 gem breaks CI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 20:38 UTC by Bryan Kearney
Modified: 2016-04-22 16:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:29:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6779 None None None 2016-04-22 16:55:31 UTC

Description Bryan Kearney 2014-07-28 20:38:37 UTC
Example output:

our Gemfile lists the gem gettext (~> 2.0) more than once.
You should probably keep only one of them.
While it's not a problem now, it could cause errors if you change the version of just one of them later.
Your Gemfile lists the gem locale (<= 2.0.9) more than once.
You should probably keep only one of them.
While it's not a problem now, it could cause errors if you change the version of just one of them later.
Your Gemfile lists the gem minitest (~> 4.7) more than once.
You should probably keep only one of them.
While it's not a problem now, it could cause errors if you change the version of just one of them later.
Your Gemfile lists the gem gettext_i18n_rails_js (>= 0.0.8) more than once.
You should probably keep only one of them.
While it's not a problem now, it could cause errors if you change the version of just one of them later.
rake aborted!
Don't know how to build task 'jenkins:setup:minitest'
/var/lib/workspace/workspace/test_katello_core/database/postgresql/ruby/1.9.3/plugin/lib/katello/tasks/jenkins.rake:7:in `block (2 levels) in <top (required)>'
/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/bin/ruby_executable_hooks:15:in `eval'
/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/bin/ruby_executable_hooks:15:in `<main>'
Tasks: TOP => jenkins:katello
(See full trace by running task with --trace)

Comment 1 Bryan Kearney 2014-07-28 20:38:38 UTC
Created from redmine issue http://projects.theforeman.org/issues/6779

Comment 2 Bryan Kearney 2014-07-28 20:38:40 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 4 Bryan Kearney 2014-07-28 22:04:57 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6779 has been closed
-------------
Eric Helms
Applied in changeset commit:ec0912fc73a276a988128e987203ad5117b97998.

Comment 7 Bryan Kearney 2014-09-11 12:29:50 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.